package com.c1ctech.contactlist;

import android.content.Context;
import android.support.annotation.NonNull;
import android.support.v7.widget.RecyclerView;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

import java.util.ArrayList;
import java.util.List;

public class ContactsAdapter extends RecyclerView.Adapter<ContactsAdapter.ViewHolder> {

    Context mContext;
    private List<Contact> items;

    public ContactsAdapter(Context mContext, List<Contact> items) {
        this.mContext = mContext;
        this.items = items;
    }

    public ContactsAdapter(Context mContext) {
        this.mContext = mContext;
        this.items = new ArrayList<Contact>();
    }

    public void setContacts(List<Contact> items) {
        this.items = items;
    }

    @NonNull
    @Override
    public ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
        View v = LayoutInflater.from(mContext).inflate(R.layout.contact_list_item, parent, false);
        return new ViewHolder(v);
    }

    @Override
    public void onBindViewHolder( ViewHolder holder, int position) {
        Contact item = items.get(position);
       holder.phone_no.setText(item.getContact_phone());
        holder.name.setText(item.getContact_name());

    }

    @Override
    public int getItemCount() {
        return items.size();
    }

    public static class ViewHolder extends RecyclerView.ViewHolder {
        public TextView name;
        public TextView phone_no;

        public ViewHolder(View itemView) {
            super(itemView);
            name = (TextView) itemView.findViewById(R.id.nameTextView);
            phone_no = (TextView) itemView.findViewById(R.id.phoneTextView);
        }
    }
}
